org.richfaces.context

## Class ComponentIdResolver

- java.lang.Object
- - org.richfaces.context.ComponentIdResolver

-     public final class ComponentIdResolver
      extends Object

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentIdResolver(javax.faces.context.FacesContext facesContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addId(String id)`
    `protected void` | `addIdImmediately(String id)`
    `protected void` | `clearAllUnresolvedIds()`
    `protected boolean` | `findComponentsBelow(javax.faces.component.UIComponent component)`
    `protected boolean` | `findComponentsBelowRecursively(javax.faces.component.UIComponent component)`
    `protected boolean` | `findComponentsInContainer(javax.faces.component.UIComponent component, org.richfaces.context.ComponentIdResolverNode node, boolean resolveNCChildren)`
    `protected boolean` | `findComponentsInContainerRecursively(javax.faces.component.UIComponent component, org.richfaces.context.ComponentIdResolverNode node)`
    `Set<String>` | `getResolvedIds()`
    `protected boolean` | `hasUnresolvedIds()`
    `protected void` | `matchStackedComponents()`
    `void` | `resolve(javax.faces.component.UIComponent component)`
    `protected boolean` | `resolveId(org.richfaces.context.ComponentIdResolverNode node, javax.faces.component.UIComponent topMatch, javax.faces.component.UIComponent bottomMatch)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentIdResolver

          public ComponentIdResolver(javax.faces.context.FacesContext facesContext)

  - ### Method Detail

    - #### addIdImmediately

          protected void addIdImmediately(String id)

    - #### addId

          public void addId(String id)

    - #### getResolvedIds

          public Set<String> getResolvedIds()

    - #### clearAllUnresolvedIds

          protected void clearAllUnresolvedIds()

    - #### hasUnresolvedIds

          protected boolean hasUnresolvedIds()

    - #### findComponentsInContainerRecursively

          protected boolean findComponentsInContainerRecursively(javax.faces.component.UIComponent component,
                                                     org.richfaces.context.ComponentIdResolverNode node)

    - #### resolveId

          protected boolean resolveId(org.richfaces.context.ComponentIdResolverNode node,
                          javax.faces.component.UIComponent topMatch,
                          javax.faces.component.UIComponent bottomMatch)

    - #### findComponentsInContainer

          protected boolean findComponentsInContainer(javax.faces.component.UIComponent component,
                                          org.richfaces.context.ComponentIdResolverNode node,
                                          boolean resolveNCChildren)

    - #### matchStackedComponents

          protected void matchStackedComponents()

    - #### findComponentsBelowRecursively

          protected boolean findComponentsBelowRecursively(javax.faces.component.UIComponent component)

    - #### findComponentsBelow

          protected boolean findComponentsBelow(javax.faces.component.UIComponent component)

    - #### resolve

          public void resolve(javax.faces.component.UIComponent component)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.